AurionAI Docs

Create Embed Token

Issue a LiveKit token for an externally embedded voice widget. This is a public endpoint — authentication is based on the widget's public key and origin allow-list rather than user credentials.

POST
/api/v1/voice-widget/embed/token

Issue a LiveKit token for an externally embedded voice widget.

This is a public endpoint — authentication is based on the widget's public key and origin allow-list rather than user credentials.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/voice-widget/embed/token" \  -H "Content-Type: application/json" \  -d '{    "public_key": "string",    "tenant_id": "string"  }'
{
  "expires_in_seconds": 3600,
  "livekit_url": "string",
  "participant_identity": "string",
  "pre_authenticated": true,
  "room_name": "string",
  "token": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}